I cannot install PHP on my Mac.

Asked 2 months ago, Updated 2 months ago, 3 views

I tried to install PHP 5.6.8 on Mac Yosemite using anyenv, but the following error occurred and I couldn't.

error

 ---------------------
|  BUILD ERROR|
-----------------

Here are the last 10 lines from the log:

-----------------------------------------
                       ^
/usr/include/math.h:718:12:note: 'finite' has been explicitly marked here
external intfinite(double)_OSX_AVAILABLE_BUT_DEPRECATED(__MAC_10_0,__MAC_10_9,_IPHONE_NA,_IPHONE_NA);
           ^
1 warning generated.
/var/tmp/php-build/source/5.6.8/Zend/zend_string.c:65:28:warning:assigning to 'char*'from' const char*'discards qualifiers [-Wincompatible-pointer-types-discards-qualifiers]
        CG(internated_empty_string) = zend_new_internated_string_int("", size of(""), 0TSRMLS_CC);
                                  ^ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
1 warning generated.
PEAR package PHP_Archive not installed: generated phar will require PHP's phar extension be enabled.
-----------------------------------------

The full Log is available at '/tmp/php-build.5.6.8.20150513233015.log'.
Warn—Aborting build.

When I looked into this error, it was written on the following site.
http://qiita.com/omega999/items/c5b1c177331f8d342efd

However, the content on this site seems a little old, and now xdebug.sh on this site has been rewritten as shown in the link below.
https://github.com/php-build/php-build/blob/master/share/php-build/plugins.d/xdebug.sh

I tried to find a solution after this change, but I couldn't find it.If anyone knows how to solve this situation, please let me know how to do it, or a website that I can refer to.I look forward to your kind cooperation.

Additional 1

It seems to have been changed in this commit.
https://github.com/php-build/php-build/commit/ad455b9e6e6c08e7ed86c37c1649af600256ac06

php macos

2022-09-30 14:01

1 Answers

It looks like an exchangeability problem with a Mac.The error also states that 'finite' is not available on mac's 10.0, 10.9, so I recommend that you give the php version.

I use MacPorts to build an environment for a basic Mac, so I recommend this method.

I'm sorry it's not very helpful.


2022-09-30 14:01

If you have any answers or tips


© 2022 OneMinuteCode. All rights reserved.